#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_auto_build:
	cp -f debian/autoload.php src/
	# Mimic install path for tests
	mkdir --parent data
	ln -sf ../src data/Pinky

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit --do-not-cache-result --bootstrap src/autoload.php tests/
else
	@echo "** tests disabled"
endif

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream/changelog
